Bug 801369 - soqt-config provides wrong data
soqt-config provides wrong data
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: SoQt (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ralf Corsepius
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-08 06:32 EST by Michal Hlavinka
Modified: 2013-08-01 14:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 14:48:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Hlavinka 2012-03-08 06:32:35 EST
Description of problem:
When building project that requires soqt, it fails with this error:

../../libtool: line 4992: cd: NONE: No such file or directory
libtool: link: cannot determine absolute directory name of `NONE'

it fails because of data it got from soqt-config 

Version-Release number of selected component (if applicable):
SoQt-devel-1.5.0-3.fc17.x86_64

How reproducible:
always

Steps to Reproduce:
1.soqt-config --ldflags
  
Actual results:
-Wl,-z,relro -LNONE

Expected results:
correct library path

Additional info:
soqt-config --cppflags is affected too, it returns "... -INONE ..."
Comment 1 Ralf Corsepius 2012-03-11 01:35:36 EST
Thanks for the report. I am investigating.

I still don't fully understand what's happening, but AFAICT, this is a pretty nasty bug in autoconf. I believe have an "emergency work-around" for this package, I intend to commit to Fedora after some more testing during next week.
Comment 2 Fedora Update System 2012-03-11 05:04:43 EDT
SoQt-1.5.0-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/SoQt-1.5.0-4.fc17
Comment 3 Fedora Update System 2012-03-11 05:04:53 EDT
SoQt-1.5.0-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/SoQt-1.5.0-4.fc16
Comment 4 Fedora End Of Life 2013-07-04 03:05:08 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 14:48:51 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.